/* COPYRIGHT Esri - https://js.arcgis.com/1.2/LICENSE.txt */
import { a as m } from "./helpers.js";
import "@esri/solution-common";
import "@arcgis/core/identity/IdentityManager.js";
import "@arcgis/core/identity/OAuthInfo.js";
import "@arcgis/core/portal/Portal.js";
function u(r, o) {
  const t = s(o), e = m([{ k: "id", v: r }]) || "";
  return t ? `${t}/home/item.html${e}` : "";
}
function p(r, o, t, e) {
  const n = e || s(t);
  return n ? `${n}/sharing/rest/content/items/${r}/resources/${o}` : "";
}
function s(r) {
  return r?.PortalSubset?.orgUrl || r?.PortalUrl || "";
}
export {
  p as a,
  u as g
};
